package com.bzd.system.service.yxgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 促销列表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYxglPromotioninfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYxglPromotioninfo(PageData pd)throws Exception {
        return daoSupport.update("SYxglPromotioninfoMapper.addSYxglPromotioninfo", pd);
    }

    public List<PageData> findSYxglPromotioninfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYxglPromotioninfoMapper.selectSYxglPromotioninfoList", pd);
    }

    public Integer SYxglPromotioninfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYxglPromotioninfoMapper.SYxglPromotioninfoRemove", pd);
    }


    public Integer updateSYxglPromotioninfo(PageData pd)throws Exception {
        return daoSupport.update("SYxglPromotioninfoMapper.updateSYxglPromotioninfo", pd);
    }

}
